Bug 1798697 - Console missing OLM marketplace support link
Summary: Console missing OLM marketplace support link
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 19:46 UTC by Samuel Padgett
Modified: 2020-04-29 14:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.4.0-0.ci-2020-02-05-054333 Cluster ID: 81518fe6-b369-4934-80e0-1f2a793bce71 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-04-29 14:23:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4234 None closed Bug 1798697: Show support links 2020-04-29 14:22:40 UTC

Description Samuel Padgett 2020-02-05 19:46:28 UTC
Console should support the `marketplace.openshift.io/support-workflow` annotation. There is an existing `support` annotation, but that isn't a link.

Comment 2 XiaochuanWang 2020-02-11 02:53:29 UTC
Tested with a marketplace operator "Hazelcast Operator" and it works.
Updated the link from the annotation "marketplace.openshift.io/support-workflow" and it affects the support link under the namespace.
Verified on 4.4.0-0.nightly-2020-02-10-165717


Note You need to log in before you can comment on or make changes to this bug.